Skip to main content
GET
/
api
/
v1
/
openclaw
/
youtube
/
transcript
Transcript
curl --request GET \
  --url https://yoinkit.ai/api/v1/openclaw/api/v1/openclaw/youtube/transcript \
  --header 'Authorization: Bearer <token>'

Parameters

url
string
required
YouTube video or short URL (e.g., https://www.youtube.com/watch?v=bjVIDXPP7Uk)
language
string
2 letter language code, ie ‘en’, ‘es’, ‘fr’ etc. If the transcript is not available in the language you specify, the transcript will be null. (e.g., en)

Example Request

curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/transcript?url=https://www.youtube.com/watch?v=bjVIDXPP7Uk" \
  -H "Authorization: Bearer YOUR_API_TOKEN"

Example Response

{
  "success": true,
  "data": {
    "videoId": "bjVIDXPP7Uk",
    "type": "video",
    "url": "https://www.youtube.com/watch?v=bjVIDXPP7Uk",
    "transcript": [
      {
        "text": "welcome back to the hell farm and the",
        "startMs": "160",
        "endMs": "1920",
        "startTimeText": "0:00"
      },
      {
        "text": "backyard trails we built these jumps two",
        "startMs": "1920",
        "endMs": "3919",
        "startTimeText": "0:01"
      }
    ],
    "transcript_only_text": "welcome back to the hell farm and the backyard trails...",
    "language": "English"
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "transcript",
    "request_id": "req_abc123"
  }
}
Response data is returned directly from the Yoinkit API.

Note

Rates and quotas may apply based on your Yoinkit subscription.